package com.ebhor.controller;

import java.io.IOException;
import java.util.List;

import com.ebhor.dao.CountryDAO;
import com.ebhor.model.Country;

import jakarta.servlet.RequestDispatcher;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

@WebServlet("/country-list")
public class CountryServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	CountryDAO dao = new CountryDAO();

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		int pageNo = 0;
		int start = 0;
		String p1 = request.getParameter("p");
		int pageSize = 10;

		if (p1 == null) {
			pageNo = 1;
		} else {
			pageNo = Integer.parseInt(p1);
			start = (pageNo - 1) * pageSize;
		}
		List<Country> countryList = dao.fetchAll(start, pageSize);
		request.setAttribute("countries", countryList);
		double totalCount = dao.totalCount();
		long totalPages = (long) Math.ceil(totalCount / pageSize);
		request.setAttribute("totalCount", countryList);
		request.setAttribute("totalPages", totalPages);
		request.setAttribute("pageSize", pageSize);
		request.setAttribute("p", pageNo);
		RequestDispatcher requestDispatcher = request.getRequestDispatcher("/country.jsp");
		requestDispatcher.forward(request, response);
	}
}
