package com.ebhor.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import com.ebhor.model.Country;

public class CountryDAO {
	Connection con = null;
	PreparedStatement ps = null;
	ResultSet rs = null;

	public List<Country> fetchAll(int start, int pageSize) {
		List<Country> countryList = new ArrayList<Country>();
		con = ConnectionFactory.getConnection();
		try {
			String query = "select * from countries_detailed order by id limit ?,?";

			ps = con.prepareStatement(query);
			ps.setInt(1, start);
			ps.setInt(2, pageSize);
			rs = ps.executeQuery();
			while (rs.next()) {
				Country country = new Country();
				country.setId(rs.getInt("id"));
				country.setCountryCode(rs.getString("countryCode"));
				country.setCountryName(rs.getString("countryName"));
				country.setCurrencyCode(rs.getString("countryCode"));
				country.setFipsCode(rs.getString("fipsCode"));
				country.setIsoNumeric(rs.getString("isoNumeric"));
				country.setCapital(rs.getString("capital"));
				country.setContinentName(rs.getString("continentName"));
				country.setContinent(rs.getString("continent"));
				country.setLanguages(rs.getString("languages"));
				country.setIsoAlpha3(rs.getString("isoAlpha3"));
				countryList.add(country);
			}
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			try {
				con.close();
			} catch (SQLException ex) {
				ex.printStackTrace();
			}
		}
		return countryList;
	}

	public long totalCount() {
		long count = 0;
		con = ConnectionFactory.getConnection();
		try {
			String query = "select count(*) as count from countries_detailed";

			ps = con.prepareStatement(query);
			rs = ps.executeQuery();
			while (rs.next()) {
				count = rs.getLong("count");

			}
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			try {
				con.close();
			} catch (SQLException ex) {
				ex.printStackTrace();
			}
		}
		return count;
	}
}
