<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="utf-8"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<!DOCTYPE html>
<html>
<head>
<title>Country Pagination Example</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link
	href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"
	rel="stylesheet">
<script
	src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
</head>
<body>
	<div class="container mt-3">

		<div class="row">
			<div class="col-1"></div>
			<div class="col-10">
				<c:if test="${countries.size()>0}">
					<h2>List of Countries</h2>
					<table class="table table-bordered">
						<thead>
							<tr>
								<th>#</th>
								<th>Country Name</th>
								<th>Country Code</th>
								<th>Currency Code</th>
								<th>Fips Code</th>
								<th>Iso Numeric</th>
								<th>Capital</th>
								<th>Continent Name</th>
								<th>Continent</th>
								<th>Languages</th>
								<th>IsoAlpha3</th>

							</tr>
						</thead>
						<tbody>

							<c:forEach items="${countries}" var="country" varStatus="loop">
								<tr>
									<td>${((p-1)*pageSize)+(loop.index+1)}</td>
									<td>${country.countryName}</td>
									<td>${country.countryCode}</td>
									<td>${country.currencyCode}</td>
									<td>${country.fipsCode}</td>
									<td>${country.isoNumeric}</td>
									<td>${country.capital}</td>
									<td>${country.continentName}</td>
									<td>${country.continent}</td>
									<td>${country.languages}</td>
									<td>${country.isoAlpha3}</td>
								</tr>
							</c:forEach>

						</tbody>
					</table>
					<div class="pagination d-flex align-items-center justify-content-center">
						<nav aria-label="Page navigation example">
							<ul class="pagination justify-content-center">
								<c:if test="${totalPages>0 && totalPages>=p}">
									<c:if test="${p>0}">
										<c:if test="${p==1}">
											<li class="page-item disabled active">
											<a class="page-link"
												href="country-list?p=${p-1}" tabindex="-1">Previous</a></li>
										</c:if>
										<c:if test="${p>1}">
											<li class="page-item"><a class="page-link"
												href="country-list?p=${p-1}" tabindex="-1">Previous</a></li>
										</c:if>
										<c:if test="${(totalPages >5 && totalPages>p+2) && p>2}">
											<c:forEach var="i" begin="${p-2}" end="${p+2}">
												<c:if test="${p==i}">
													 <li class="page-item active" aria-current="page">
													<a class="page-link"
														href="country-list?p=${i}">${i}</a></li>
												</c:if>
												<c:if test="${p!=i}">
													<li class="page-item">
													<a class="page-link"
														href="country-list?p=${i}">${i}</a></li>
												</c:if>
											</c:forEach>
										</c:if>
										<c:if test="${(totalPages >5 && totalPages<=p+2) && p>2}">
											<c:forEach var="i" begin="${totalPages-5}"
												end="${totalPages}">
												<c:if test="${p==i}">
													 <li class="page-item active" aria-current="page">
													<a class="page-link"
														href="country-list?p=${i}">${i}</a></li>
												</c:if>
												<c:if test="${p!=i}">
													<li class="page-item"><a class="page-link"
														href="country-list?p=${i}">${i}</a></li>
												</c:if>
											</c:forEach>
										</c:if>
										<c:if
											test="${(totalPages >5 && totalPages>=p) && (p==1 || p==2)}">
											<c:forEach var="i" begin="1" end="5">
												<c:if test="${p==i}">
													 <li class="page-item active" aria-current="page">
													<a class="page-link"
														href="country-list?p=${i}">${i}</a></li>
												</c:if>
												<c:if test="${p!=i}">
													<li class="page-item">
													<a class="page-link"
														href="country-list?p=${i}">${i}</a></li>
												</c:if>
											</c:forEach>
										</c:if>
										<c:if test="${totalPages <=5}">
											<c:forEach var="i" begin="1" end="${totalPages}">
												<c:if test="${p==i}">
													 <li class="page-item active" aria-current="page">
													<a class="page-link"
														href="country-list?p=${i}">${i}</a></li>
												</c:if>
												<c:if test="${p!=i}">
													<li class="page-item"><a class="page-link"
														href="country-list?p=${i}">${i}</a></li>
												</c:if>
											</c:forEach>
										</c:if>
										<c:if test="${p==totalPages}">
											<li class="page-item disabled"><a class="page-link"
												href="country-list?p=${p+1}">Next</a></li>
										</c:if>
										<c:if test="${p<totalPages}">
											<li class="page-item"><a class="page-link"
												href="country-list?p=${p+1}">Next</a></li>
										</c:if>
									</c:if>
								</c:if>
							</ul>
						</nav>
					</div>
				</c:if>
				<c:if test="${countries.size()==0}">
					<h2>No Record Found</h2>
				</c:if>
			</div>
			<div class="col-1"></div>
		</div>
	</div>

</body>
</html>
